Fetch a transaction from the provider (for offramp use)
curl --request GET \
--url https://api-sb.meld.io/payments/transactions/sessions/{sessionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/payments/transactions/sessions/{sessionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/payments/transactions/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"serviceProvider": "<string>",
"sessionId": "<string>",
"status": "<string>",
"transactionType": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"countryCode": "<string>",
"cryptoDetails": {
"blockchainTransactionId": "<string>",
"chainId": "<string>",
"institution": "<string>",
"networkFee": 123,
"networkFeeInUsd": 123,
"offrampDestinationWalletAddress": "<string>",
"partnerFee": 123,
"partnerFeeInUsd": 123,
"swapFee": 123,
"swapFeeInUsd": 123,
"totalFee": 123,
"totalFeeInUsd": 123,
"transactionFee": 123,
"transactionFeeInUsd": 123,
"walletAddress": "<string>"
},
"customer": "<unknown>",
"description": "<string>",
"destinationAmount": 123,
"destinationCurrencyCode": "<string>",
"externalCustomerId": "<string>",
"externalReferenceId": "<string>",
"externalSessionId": "<string>",
"externalSubaccountCustomerId": "<string>",
"fiatAmountInUsd": 123,
"isImported": false,
"isPassthrough": false,
"key": "<string>",
"multiFactorAuthorizationStatus": [
{
"submitted": false,
"successful": false,
"url": "<string>"
}
],
"orderId": "<string>",
"parentPaymentTransactionId": "<string>",
"passthroughReference": "<string>",
"paymentDetails": {
"authAmount": 123,
"captureAmount": 123
},
"paymentMethodType": "<string>",
"serviceProviderCreatedAt": "2023-11-07T05:31:56Z",
"serviceProviderDetails": {},
"serviceProviderTransactionUrl": "<string>",
"serviceTransactionId": "<string>",
"sessionClientTags": {},
"sourceAmount": 123,
"sourceCurrencyCode": "<string>",
"subaccountCustomerId": "<string>"
}
}""Retail Ramp
Fetch a transaction from the provider (for offramp use)
Fetch a transaction from the service provider using the session ID. This endpoint is primarily used for offramp scenarios where the transaction needs to be retrieved from the provider after the user completes their action in the widget.
GET
/
payments
/
transactions
/
sessions
/
{sessionId}
Fetch a transaction from the provider (for offramp use)
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
Example:
"2023-12-19"
Path Parameters
Session ID to fetch the transaction for
Response
Transaction found and retrieved from provider
Payment transaction information
Show child attributes
Show child attributes
⌘I